#include <start.h>
#include "inc/Android.h"

#include "inc/Flash.h"
#include "inc/UART.h"
#include "inc/J5-0_USART3.h"

#include <inc/communication_protocol.h>
#include "inc/Rs485.h"
/*
 * 硬件初始化函数
 *
 *
 */
void hareware_init()
{
    android_PowerCtrl_Init();
    android_PowerCtrl_Open();

//    SPI_Flash_TEST();

    J5_0_485_Init();
//    USARTx_SendStr(J5_0_USART, "This is a test data.\n");



}

/*
 * 线程初始化函数
 *
 *
 */
void software_init()
{
    Rs485_thread_Init();


}

/*
 * 启动函数
 *
 *
 */
void app_star()
{
    hareware_init();
    software_init();
}



